package com.siwei.rsmonitoring.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.siwei.common.core.annotation.Excel;
import com.siwei.common.core.web.domain.BaseEntity;

/**
 * 地块核查流程对象 t_dk_auditflow_record
 *
 * @author siwei
 * @date 2025-02-19
 */
public class TDkAuditflowRecord extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    private String id;

    /**
     * 地块基本详情ID
     */
    @Excel(name = "地块基本详情ID")
    private String dkjdxxId;

    /**
     * 核查类型
     */
    @Excel(name = "核查类型")
    private String auditflowType;

    /**
     * 核查步骤
     */
    @Excel(name = "核查步骤")
    private String auditflowStep;

    private String auditflowStepValue;

    /**
     * 核查顺序
     */
    @Excel(name = "核查顺序")
    private Long auditflowOrder;

    /**
     * 操作类型
     */
    @Excel(name = "操作类型")
    private String auditflowOperateType;

    /**
     * 操作状态 0执行一次 1可重复操作 2未执行
     */
    @Excel(name = "操作状态 0执行一次 1可重复操作 2未执行")
    private String auditflowOperationState;

    /**
     * 操作数据类型，1=上传照片,2=上传附件,3=图斑分割,4=提交,5=审核,6=不通过,7=下发驳回）
     */
    @Excel(name = "操作数据类型，1=上传照片,2=上传附件,3=图斑分割,4=提交,5=审核,6=不通过,7=下发驳回）")
    private String auditflowOperateData;

    /**
     * 流程状态 0通过此流程 1在当前流程
     */
    @Excel(name = "流程状态 0通过此流程 1在当前流程")
    private String auditflowState;

    /**
     * 成功标志 0成功 1失败
     */
    @Excel(name = "成功标志 0成功 1失败")
    private String successType;

    /**
     * 下一级ID
     */
    @Excel(name = "下一级ID")
    private String nextId;

    /**
     * 上一个ID
     */
    @Excel(name = "上一个ID")
    private String previousId;

    public void setId(String id) {
        this.id = id;
    }

    public String getId() {
        return id;
    }

    public void setDkjdxxId(String dkjdxxId) {
        this.dkjdxxId = dkjdxxId;
    }

    public String getDkjdxxId() {
        return dkjdxxId;
    }

    public void setAuditflowType(String auditflowType) {
        this.auditflowType = auditflowType;
    }

    public String getAuditflowType() {
        return auditflowType;
    }

    public void setAuditflowStep(String auditflowStep) {
        this.auditflowStep = auditflowStep;
    }

    public String getAuditflowStep() {
        return auditflowStep;
    }

    public void setAuditflowOrder(Long auditflowOrder) {
        this.auditflowOrder = auditflowOrder;
    }

    public Long getAuditflowOrder() {
        return auditflowOrder;
    }

    public void setAuditflowOperateType(String auditflowOperateType) {
        this.auditflowOperateType = auditflowOperateType;
    }

    public String getAuditflowOperateType() {
        return auditflowOperateType;
    }

    public void setAuditflowOperationState(String auditflowOperationState) {
        this.auditflowOperationState = auditflowOperationState;
    }

    public String getAuditflowOperationState() {
        return auditflowOperationState;
    }

    public void setAuditflowOperateData(String auditflowOperateData) {
        this.auditflowOperateData = auditflowOperateData;
    }

    public String getAuditflowOperateData() {
        return auditflowOperateData;
    }

    public void setAuditflowState(String auditflowState) {
        this.auditflowState = auditflowState;
    }

    public String getAuditflowState() {
        return auditflowState;
    }

    public void setSuccessType(String successType) {
        this.successType = successType;
    }

    public String getSuccessType() {
        return successType;
    }

    public void setNextId(String nextId) {
        this.nextId = nextId;
    }

    public String getNextId() {
        return nextId;
    }

    public void setPreviousId(String previousId) {
        this.previousId = previousId;
    }

    public String getPreviousId() {
        return previousId;
    }

    public String getAuditflowStepValue() {
        return auditflowStepValue;
    }

    public void setAuditflowStepValue(String auditflowStepValue) {
        this.auditflowStepValue = auditflowStepValue;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("dkjdxxId", getDkjdxxId())
                .append("auditflowType", getAuditflowType())
                .append("auditflowStep", getAuditflowStep())
                .append("auditflowOrder", getAuditflowOrder())
                .append("auditflowOperateType", getAuditflowOperateType())
                .append("auditflowOperationState", getAuditflowOperationState())
                .append("auditflowOperateData", getAuditflowOperateData())
                .append("auditflowState", getAuditflowState())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("successType", getSuccessType())
                .append("nextId", getNextId())
                .append("previousId", getPreviousId())
                .toString();
    }
}
